AnalyzeClass Class Reference

## Public Member Functions

bool | operator() (PileupElementBaseQual &element)

## Public Attributes

int | myCounter

## Detailed Description

Definition at line 29 of file Main.cpp.

## Constructor & Destructor Documentation

## AnalyzeClass()

AnalyzeClass::AnalyzeClass | ( |  | ) |

inline

Definition at line 32 of file Main.cpp.

{
myCounter = 33;
}

## Member Function Documentation

## operator()()

bool AnalyzeClass::operator() | ( | PileupElementBaseQual & | element | ) |

inline

Definition at line 36 of file Main.cpp.

{
std::cout << "Class Analyze: Counter = " << myCounter << ": ";
element.analyze();
++myCounter;
return(true);
}
PileupElementBaseQual::analyze
virtual void analyze()
Perform the analysis associated with this class.
Definition: PileupElementBaseQual.cpp:144

## Member Data Documentation

## myCounter

int AnalyzeClass::myCounter

Definition at line 43 of file Main.cpp.

The documentation for this class was generated from the following file:

- bam/examples/pileup/Main.cpp